#! /bin/bash
#
# ffmpeg_patch.sh
#
# you may copy these 4 folders into the XdTV project
# with such shell commands:
# cd xdtv
# /bin/cp -fva ../ffmpeg/libavcodec .
# /bin/cp -fva ../ffmpeg/libavformat .
# /bin/cp -fva ../ffmpeg/libavutil .
# /bin/cp -fva ../ffmpeg/libpostproc .
#

dir='$(distdir)'

echo "Do you want to remplace the current FFmpeg Makefiles: [N]:"
read choice

if [ "$choice" = "Y" ]; then
cp patch/Makefile.util libavutil/Makefile
cp patch/Makefile.format libavformat/Makefile
cp patch/Makefile.postproc libpostproc/Makefile
cp patch/Makefile.codec libavcodec/Makefile
fi

echo "Do you want to patch libavformat/mpegts.c ? (-> needed for DVB support) [N]:"
read choice
if [ "$choice" = "Y" ]; then
sed -e 's/auto_guess *= *0 *;/auto_guess = 1; \/\* XdTV Patch \*\//g' libavformat/mpegts.c > mpegts_patched
mv mpegts_patched libavformat/mpegts.c
echo "done" 
fi

echo "Do you want to fix the PIC FFmpeg error? (ffmpeg doesn't use libtool, so the condition for PIC code # is __PIC__, not PIC.): [N]:"
read choice
if [ "$choice" = "Y" ]; then
sed -i -e 's/#\(\(.*def *\)\|\(.*defined *\)\|\(.*defined(*\)\)PIC/#\1__PIC__/' libavcodec/i386/dsputil_mmx{.c,_rnd.h,_avg.h} libavcodec/msmpeg4.c
fi
